Subject: bug#27315: Regression: `abbreviate-file-name' and `tramp-file-name-handler'

From: Michael Albinus <[email-masked]>
Date: Sun, 11 Jun 2017 11:13:24 +0200

Alexander Shukaev <[email-masked]> writes:

> Hello,

Hi Alexander,

> In Emacs 26 series, I notice regression that has to do with
> `abbreviate-file-name' and `tramp-file-name-handler'.  Here is how to
> reproduce it:
>
> $ emacs -Q
>
> Paste the following to the "*scratch*" buffer:
>
> (setq-default
>   frame-title-format
>   '((:eval (list (user-login-name)
>                  "@"
>                  (system-name)
>                  ":"
>                  (abbreviate-file-name (or (buffer-file-name)
>                                            (file-name-as-directory
>                                             default-directory)))))))
>
> M-x eval-buffer
> M-x find-file /sudo:root@localhost:~/hang
>
> will result in hanging with the "Sending password" message in
> minibuffer.

I cannot reproduce it, using 

--8<---------------cut here---------------start------------->8---
GNU Emacs 26.0.50 (build 17, x86_64-pc-linux-gnu, GTK+ Version 2.24.31)
 of 2017-06-10 built on detlef
Repository revision: f361c54e6abc5ba5fa5ce6cc9734b5283e0e6aa3
Windowing system distributor 'The X.Org Foundation', version 11.0.11903000
System Description:	Ubuntu 17.04
--8<---------------cut here---------------end--------------->8---

A recent Emacs build is important, because I've fixed several Tramp
issues recently, resulting from the Tramp syntax change.

If the problem persists, could you pls set tramp-verbose to 10, prior
running your test? There will be a Tramp debug buffer then.

> Michael, could you have a look at this?  Thanks!
>
> Kind regards,
> Alexander

Best regards, Michael.